package com.yuchen.saas.payment.api.enums.allinpay;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/** 通联支付交易方式
 * @author zhouhanwei
 * @create 2023/11/10 16:03
 */
@Getter
@AllArgsConstructor
public enum AllInPayTypeEnum {
    /**
     W01	微信扫码支付
     W02	微信JS支付
     W06	微信小程序支付
     A01	支付宝扫码支付
     A02	支付宝JS支付
     A03	支付宝APP支付
     U01	银联扫码支付(CSB)
     U02	银联JS支付
     S01	数币扫码支付
     S03	数字货币H5
     */
    W01("W01", "微信扫码支付"),
    W02("W02", "微信JS支付"),
    W06("W06", "微信小程序支付"),
    A01("A01", "支付宝扫码支付"),
    A02("A02", "支付宝JS支付"),
    A03("A03", "支付宝APP支付"),
    U01("U01", "银联扫码支付(CSB) "),
    U02("U02", "银联JS支付"),
    S01("S01", "数币扫码支付"),
    S03("S03", "数字货币H5"),

    ;

    private final String code;
    private final String desc;

    public static String getEnumDesc(String code) {
        if (StrUtil.isNotBlank(code)) {
            for (AllInPayTypeEnum e : AllInPayTypeEnum.values()) {
                if (e.getCode().equals(code)) {
                    return e.getDesc();
                }
            }
        }
        return null;
    }
}
